Operator — Remote Control
Remote start charging
Remotely start charging on a specific connector.
Related: if a remote-start fails or the connector gets stuck in preparing state, see the Connector stuck in Preparing state runbook in Diagnostic Runbooks.
POST
/
operator
/
devices
/
{device_id}
/
connectors
/
{connector_id}
/
start
Remote start charging
curl --request POST \
--url https://api.telluspower.example.com/v1/operator/devices/{device_id}/connectors/{connector_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"charge_power": 7,
"duration": 3600,
"target_soc": 80,
"transaction_id": "txn_20250315001"
}
'import requests
url = "https://api.telluspower.example.com/v1/operator/devices/{device_id}/connectors/{connector_id}/start"
payload = {
"charge_power": 7,
"duration": 3600,
"target_soc": 80,
"transaction_id": "txn_20250315001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
charge_power: 7,
duration: 3600,
target_soc: 80,
transaction_id: 'txn_20250315001'
})
};
fetch('https://api.telluspower.example.com/v1/operator/devices/{device_id}/connectors/{connector_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "Command sent",
"data": {
"command_id": "cmd_5678",
"status": "queued"
}
}Authorizations
OAuth2 client-credentials grant for operator-side integrations.
Obtain an access token by POSTing client_id and client_secret
to /v1/operator/oauth/token. Tokens are valid for 24 hours
(86,400 seconds).
Body
application/json
Response
200 - application/json
Command queued.
Standard response envelope. code is 0 on success and a non-zero
application code on error (see Error Codes — §14).
⌘I
Remote start charging
